IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ffd2::/16- First address
ffd2::- Last address
ffd2:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ffd2:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
2.d.f.f.ip6.arpa
Split into smaller subnets
ffd2::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ffd2::/28 | ffd2:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ffd2:10::/28 | ffd2:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ffd2:20::/28 | ffd2:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ffd2:30::/28 | ffd2:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ffd2:40::/28 | ffd2:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ffd2:50::/28 | ffd2:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ffd2:60::/28 | ffd2:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ffd2:70::/28 | ffd2:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ffd2:80::/28 | ffd2:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ffd2:90::/28 | ffd2:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ffd2:a0::/28 | ffd2:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ffd2:b0::/28 | ffd2:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ffd2:c0::/28 | ffd2:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ffd2:d0::/28 | ffd2:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ffd2:e0::/28 | ffd2:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ffd2:f0::/28 | ffd2:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ffd2:100::/28 | ffd2:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ffd2:110::/28 | ffd2:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ffd2:120::/28 | ffd2:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ffd2:130::/28 | ffd2:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ffd2:140::/28 | ffd2:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ffd2:150::/28 | ffd2:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ffd2:160::/28 | ffd2:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ffd2:170::/28 | ffd2:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ffd2:180::/28 | ffd2:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ffd2:190::/28 | ffd2:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ffd2:1a0::/28 | ffd2:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ffd2:1b0::/28 | ffd2:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ffd2:1c0::/28 | ffd2:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ffd2:1d0::/28 | ffd2:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ffd2:1e0::/28 | ffd2:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ffd2:1f0::/28 | ffd2:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ffd2:200::/28 | ffd2:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ffd2:210::/28 | ffd2:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ffd2:220::/28 | ffd2:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ffd2:230::/28 | ffd2:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ffd2:240::/28 | ffd2:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ffd2:250::/28 | ffd2:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ffd2:260::/28 | ffd2:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ffd2:270::/28 | ffd2:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ffd2:280::/28 | ffd2:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ffd2:290::/28 | ffd2:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ffd2:2a0::/28 | ffd2:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ffd2:2b0::/28 | ffd2:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ffd2:2c0::/28 | ffd2:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ffd2:2d0::/28 | ffd2:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ffd2:2e0::/28 | ffd2:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ffd2:2f0::/28 | ffd2:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ffd2:300::/28 | ffd2:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ffd2:310::/28 | ffd2:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ffd2:320::/28 | ffd2:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ffd2:330::/28 | ffd2:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ffd2:340::/28 | ffd2:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ffd2:350::/28 | ffd2:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ffd2:360::/28 | ffd2:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ffd2:370::/28 | ffd2:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ffd2:380::/28 | ffd2:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ffd2:390::/28 | ffd2:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ffd2:3a0::/28 | ffd2:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ffd2:3b0::/28 | ffd2:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ffd2:3c0::/28 | ffd2:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ffd2:3d0::/28 | ffd2:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ffd2:3e0::/28 | ffd2:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ffd2:3f0::/28 | ffd2:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ffd2:400::/28 | ffd2:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ffd2:410::/28 | ffd2:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ffd2:420::/28 | ffd2:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ffd2:430::/28 | ffd2:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ffd2:440::/28 | ffd2:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ffd2:450::/28 | ffd2:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ffd2:460::/28 | ffd2:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ffd2:470::/28 | ffd2:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ffd2:480::/28 | ffd2:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ffd2:490::/28 | ffd2:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ffd2:4a0::/28 | ffd2:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ffd2:4b0::/28 | ffd2:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ffd2:4c0::/28 | ffd2:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ffd2:4d0::/28 | ffd2:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ffd2:4e0::/28 | ffd2:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ffd2:4f0::/28 | ffd2:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ffd2:500::/28 | ffd2:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ffd2:510::/28 | ffd2:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ffd2:520::/28 | ffd2:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ffd2:530::/28 | ffd2:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ffd2:540::/28 | ffd2:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ffd2:550::/28 | ffd2:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ffd2:560::/28 | ffd2:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ffd2:570::/28 | ffd2:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ffd2:580::/28 | ffd2:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ffd2:590::/28 | ffd2:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ffd2:5a0::/28 | ffd2:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ffd2:5b0::/28 | ffd2:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ffd2:5c0::/28 | ffd2:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ffd2:5d0::/28 | ffd2:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ffd2:5e0::/28 | ffd2:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ffd2:5f0::/28 | ffd2:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ffd2:600::/28 | ffd2:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ffd2:610::/28 | ffd2:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ffd2:620::/28 | ffd2:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ffd2:630::/28 | ffd2:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ffd2:640::/28 | ffd2:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ffd2:650::/28 | ffd2:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ffd2:660::/28 | ffd2:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ffd2:670::/28 | ffd2:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ffd2:680::/28 | ffd2:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ffd2:690::/28 | ffd2:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ffd2:6a0::/28 | ffd2:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ffd2:6b0::/28 | ffd2:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ffd2:6c0::/28 | ffd2:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ffd2:6d0::/28 | ffd2:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ffd2:6e0::/28 | ffd2:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ffd2:6f0::/28 | ffd2:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ffd2:700::/28 | ffd2:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ffd2:710::/28 | ffd2:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ffd2:720::/28 | ffd2:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ffd2:730::/28 | ffd2:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ffd2:740::/28 | ffd2:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ffd2:750::/28 | ffd2:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ffd2:760::/28 | ffd2:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ffd2:770::/28 | ffd2:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ffd2:780::/28 | ffd2:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ffd2:790::/28 | ffd2:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ffd2:7a0::/28 | ffd2:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ffd2:7b0::/28 | ffd2:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ffd2:7c0::/28 | ffd2:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ffd2:7d0::/28 | ffd2:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ffd2:7e0::/28 | ffd2:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ffd2:7f0::/28 | ffd2:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ffd2:800::/28 | ffd2:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ffd2:810::/28 | ffd2:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ffd2:820::/28 | ffd2:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ffd2:830::/28 | ffd2:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ffd2:840::/28 | ffd2:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ffd2:850::/28 | ffd2:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ffd2:860::/28 | ffd2:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ffd2:870::/28 | ffd2:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ffd2:880::/28 | ffd2:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ffd2:890::/28 | ffd2:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ffd2:8a0::/28 | ffd2:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ffd2:8b0::/28 | ffd2:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ffd2:8c0::/28 | ffd2:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ffd2:8d0::/28 | ffd2:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ffd2:8e0::/28 | ffd2:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ffd2:8f0::/28 | ffd2:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ffd2:900::/28 | ffd2:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ffd2:910::/28 | ffd2:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ffd2:920::/28 | ffd2:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ffd2:930::/28 | ffd2:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ffd2:940::/28 | ffd2:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ffd2:950::/28 | ffd2:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ffd2:960::/28 | ffd2:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ffd2:970::/28 | ffd2:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ffd2:980::/28 | ffd2:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ffd2:990::/28 | ffd2:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ffd2:9a0::/28 | ffd2:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ffd2:9b0::/28 | ffd2:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ffd2:9c0::/28 | ffd2:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ffd2:9d0::/28 | ffd2:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ffd2:9e0::/28 | ffd2:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ffd2:9f0::/28 | ffd2:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ffd2:a00::/28 | ffd2:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ffd2:a10::/28 | ffd2:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ffd2:a20::/28 | ffd2:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ffd2:a30::/28 | ffd2:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ffd2:a40::/28 | ffd2:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ffd2:a50::/28 | ffd2:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ffd2:a60::/28 | ffd2:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ffd2:a70::/28 | ffd2:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ffd2:a80::/28 | ffd2:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ffd2:a90::/28 | ffd2:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ffd2:aa0::/28 | ffd2:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ffd2:ab0::/28 | ffd2:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ffd2:ac0::/28 | ffd2:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ffd2:ad0::/28 | ffd2:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ffd2:ae0::/28 | ffd2:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ffd2:af0::/28 | ffd2:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ffd2:b00::/28 | ffd2:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ffd2:b10::/28 | ffd2:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ffd2:b20::/28 | ffd2:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ffd2:b30::/28 | ffd2:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ffd2:b40::/28 | ffd2:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ffd2:b50::/28 | ffd2:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ffd2:b60::/28 | ffd2:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ffd2:b70::/28 | ffd2:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ffd2:b80::/28 | ffd2:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ffd2:b90::/28 | ffd2:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ffd2:ba0::/28 | ffd2:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ffd2:bb0::/28 | ffd2:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ffd2:bc0::/28 | ffd2:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ffd2:bd0::/28 | ffd2:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ffd2:be0::/28 | ffd2:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ffd2:bf0::/28 | ffd2:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ffd2:c00::/28 | ffd2:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ffd2:c10::/28 | ffd2:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ffd2:c20::/28 | ffd2:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ffd2:c30::/28 | ffd2:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ffd2:c40::/28 | ffd2:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ffd2:c50::/28 | ffd2:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ffd2:c60::/28 | ffd2:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ffd2:c70::/28 | ffd2:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ffd2:c80::/28 | ffd2:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ffd2:c90::/28 | ffd2:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ffd2:ca0::/28 | ffd2:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ffd2:cb0::/28 | ffd2:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ffd2:cc0::/28 | ffd2:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ffd2:cd0::/28 | ffd2:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ffd2:ce0::/28 | ffd2:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ffd2:cf0::/28 | ffd2:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ffd2:d00::/28 | ffd2:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ffd2:d10::/28 | ffd2:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ffd2:d20::/28 | ffd2:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ffd2:d30::/28 | ffd2:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ffd2:d40::/28 | ffd2:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ffd2:d50::/28 | ffd2:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ffd2:d60::/28 | ffd2:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ffd2:d70::/28 | ffd2:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ffd2:d80::/28 | ffd2:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ffd2:d90::/28 | ffd2:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ffd2:da0::/28 | ffd2:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ffd2:db0::/28 | ffd2:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ffd2:dc0::/28 | ffd2:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ffd2:dd0::/28 | ffd2:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ffd2:de0::/28 | ffd2:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ffd2:df0::/28 | ffd2:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ffd2:e00::/28 | ffd2:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ffd2:e10::/28 | ffd2:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ffd2:e20::/28 | ffd2:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ffd2:e30::/28 | ffd2:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ffd2:e40::/28 | ffd2:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ffd2:e50::/28 | ffd2:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ffd2:e60::/28 | ffd2:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ffd2:e70::/28 | ffd2:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ffd2:e80::/28 | ffd2:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ffd2:e90::/28 | ffd2:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ffd2:ea0::/28 | ffd2:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ffd2:eb0::/28 | ffd2:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ffd2:ec0::/28 | ffd2:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ffd2:ed0::/28 | ffd2:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ffd2:ee0::/28 | ffd2:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ffd2:ef0::/28 | ffd2:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ffd2:f00::/28 | ffd2:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ffd2:f10::/28 | ffd2:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ffd2:f20::/28 | ffd2:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ffd2:f30::/28 | ffd2:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ffd2:f40::/28 | ffd2:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ffd2:f50::/28 | ffd2:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ffd2:f60::/28 | ffd2:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ffd2:f70::/28 | ffd2:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ffd2:f80::/28 | ffd2:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ffd2:f90::/28 | ffd2:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ffd2:fa0::/28 | ffd2:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ffd2:fb0::/28 | ffd2:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ffd2:fc0::/28 | ffd2:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ffd2:fd0::/28 | ffd2:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ffd2:fe0::/28 | ffd2:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ffd2:ff0::/28 | ffd2:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |